LedgerLou Docs is optimized for desktop.

Please open this page on a device with a wider screen.

Bank

Get balance history

Returns the historical balance progression across all bank transactions of the tenant for a given time range.

GET /v1/bank-accounts/balance-history
Authorization
Authorization string header required API key in the format ll_.... Pass as a Bearer token.
Query Parameters
days integer optional Number of days (1–365, default: 90)
Responses
200
Success
400
INVALID_INPUT Required fields are missing or values do not match the expected format.
GET /v1/bank-accounts/balance-history
cURL
-cmd">curl --request -method">GET -punct">\
  --url 'https://api.ledgerlou.de/v1/bank-accounts/balance-history' -punct">\
  --header 'Authorization: Bearer ll_your_key'
200 Response
JSON
{
  "history": [
    {
      "date": "<string>",
      "balance": 1
    }
  ],
  "currentBalance": 1,
  "startBalance": 1
}